﻿@model EditApplicantVM
@{
    ViewData["Title"] = "View";
}

    <div class="row">
        <div class="col-lg-6">
            <h1>Applicant Details</h1>

            <div class="card col-lg-12">
                <div class="card-body">
                    <h5 class="card-title">@Model.Firstname @Model.Middlename @Model.Lastname</h5>
                    <h6 class="card-subtitle mb-2 text-muted"><i class="fa fa-child"></i> @Model.DateOfBirth.ToLongDateString()</h6>
                    <h6 class="card-subtitle mb-2 text-muted"><i class="fa fa-envelope"></i> @(Model.EmailAddress ?? "No email address")</h6>
                    <p class="card-text">A @Model.Religion, @Model.Nationality, and applied last @Model.ApplicationDate.Value.ToLongDateString() @Model.ApplicationDate.Value.ToShortTimeString()</p>
                </div>
            </div>
            <div class="mt-2">
                <form method="post" asp-action="Delete">
                    <input hidden asp-for="ApplicantID"/>
                    <button type="submit" class="btn btn-danger float-right"><i class="fa fa-trash"></i> Click to delete applicant.</button>
                </form>
                <a asp-action="Index" class="btn btn-warning"><i class="fa fa-backward"></i> Cancel</a>
            </div>
        </div>
        <div class="col-lg-6">
            <h1>@Model.Applications.Count Applications</h1>
            @if (Model.Applications.Any())
            {
                foreach (var item in Model.Applications)
                {
                    <div class="card col-lg-12">
                        <div class="card-body">
                            <h5 class="card-title">@item.PositionCode @item.OpenPosition.Title</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Applied: @item.ApplicationDate.ToLongDateString() @item.ApplicationDate.ToShortTimeString()</h6>
                            <p class="card-text small">@item.OpenPosition.Responsibilities</p>
                        </div>
                    </div>
                    <br />
                }
            }
            else
            {
                <h5>No applications yet!</h5>
            }

        </div>
    </div>
